org.eclipse.jetty.ajp

## Class Ajp13Parser

- java.lang.Object
- - org.eclipse.jetty.ajp.Ajp13Parser

All Implemented Interfaces:
  Parser

    public class Ajp13Parser
    extends Object
    implements Parser

### Nested Class Summary

Nested Classes
`static interface` `Ajp13Parser.EventHandler`
`static class` `Ajp13Parser.Input` TODO Make this common with HttpParser

### Field Summary

Fields
`protected int` `_length`
`protected int` `_packetLength`

### Constructor Summary

Constructors
Constructor and Description
`Ajp13Parser(Buffers buffers, EndPoint endPoint)`

### Method Summary

Methods
`long` `getContentLength()`
`int` `getState()`
`boolean` `inContentState()`
`boolean` `inHeaderState()`
`boolean` `isComplete()`
`boolean` `isIdle()`
`boolean` `isMoreInBuffer()`
`boolean` `isPersistent()`
`boolean` `isState(int state)`
`void` `parse()`
`boolean` `parseAvailable()`
`int` `parseNext()`
`void` `reset()`
`void` `returnBuffers()`
`void` `setEventHandler(Ajp13Parser.EventHandler handler)`
`void` `setGenerator(Ajp13Generator generator)`
`void` `setPersistent(boolean persistent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _length

    protected int _length

#### _packetLength

    protected int _packetLength

### Constructor Detail

#### Ajp13Parser

    public Ajp13Parser(Buffers buffers,
               EndPoint endPoint)

### Method Detail

#### setEventHandler

    public void setEventHandler(Ajp13Parser.EventHandler handler)

#### setGenerator

    public void setGenerator(Ajp13Generator generator)

#### getContentLength

    public long getContentLength()

#### getState

    public int getState()

#### inContentState

    public boolean inContentState()

#### inHeaderState

    public boolean inHeaderState()

#### isIdle

    public boolean isIdle()

Specified by:
  `isIdle` in interface `Parser`

#### isComplete

    public boolean isComplete()

Specified by:
  `isComplete` in interface `Parser`

#### isMoreInBuffer

    public boolean isMoreInBuffer()

Specified by:
  `isMoreInBuffer` in interface `Parser`

#### isState

    public boolean isState(int state)

#### parse

    public void parse()
               throws IOException

Throws:
  `IOException`

#### parseAvailable

    public boolean parseAvailable()
                           throws IOException

Specified by:
  `parseAvailable` in interface `Parser`
Returns:
  True if progress made
Throws:
  `IOException`

#### parseNext

    public int parseNext()
                  throws IOException

Throws:
  `IOException`

#### reset

    public void reset()

Specified by:
  `reset` in interface `Parser`

#### returnBuffers

    public void returnBuffers()

Specified by:
  `returnBuffers` in interface `Parser`

#### isPersistent

    public boolean isPersistent()

Specified by:
  `isPersistent` in interface `Parser`

#### setPersistent

    public void setPersistent(boolean persistent)

Specified by:
  `setPersistent` in interface `Parser`